org.apache.poi.hwmf.record

## Enum HwmfTernaryRasterOp

- java.lang.Object
- - java.lang.Enum<HwmfTernaryRasterOp>
  - - org.apache.poi.hwmf.record.HwmfTernaryRasterOp

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfTernaryRasterOp>

      public enum HwmfTernaryRasterOp
      extends java.lang.Enum<HwmfTernaryRasterOp>

  Each ternary raster operation code represents a Boolean operation in which the values of the pixels in the source, the selected brush, and the destination are combined. Following are the three operands used in these operations.

  Operand | Meaning
  --- | ---
  D | Destination bitmap
  P | Selected brush (also called pattern)
  S | Source bitmap

  Following are the Boolean operators used in these operations.

  Operand | Meaning
  --- | ---
  a | Bitwise AND
  n | Bitwise NOT (inverse)
  o | Bitwise OR
  x | Bitwise exclusive OR (XOR)

  All Boolean operations are presented in reverse Polish notation. For example, the following operation replaces the values of the pixels in the destination bitmap with a combination of the pixel values of the source and brush: PSo. The following operation combines the values of the pixels in the source and brush with the pixel values of the destination bitmap: DPSoo (there are alternative spellings of some functions, so although a particular spelling MAY NOT be listed in the enumeration, an equivalent form SHOULD be). Each raster operation code is a 32-bit integer whose high-order word is a Boolean operation index and whose low-order word is the operation code. The 16-bit operation index is a zero-extended, 8-bit value that represents the result of the Boolean operation on predefined brush, source, and destination values. For example, the operation indexes for the PSo and DPSoo operations are shown in the following list.

  P | S | D | DPo | DPan
  --- | --- | --- | --- | ---
  0 | 0 | 0 | 0 | 0
  0 | 0 | 1 | 0 | 1
  0 | 1 | 0 | 1 | 1
  0 | 1 | 1 | 1 | 1
  1 | 0 | 0 | 1 | 1
  1 | 0 | 1 | 1 | 1
  1 | 1 | 0 | 1 | 1
  1 | 1 | 1 | 1 | 1

  The operation indexes are determined by reading the binary values in a column of the table from the bottom up. For example, in the PSo column, the binary value is 11111100, which is equivalent to 00FC (hexadecimal is implicit for these values), which is the operation index for PSo. Using this method, DPSoo can be seen to have the operation index 00FE. Operation indexes define the locations of corresponding raster operation codes in the preceding enumeration. The PSo operation is in line 252 (0x00FC) of the enumeration; DPSoo is in line 254 (0x00FE). The most commonly used raster operations have been given explicit enumeration names, which SHOULD be used; examples are PATCOPY and WHITENESS. When the source and destination bitmaps are monochrome, a bit value of 0 represents a black pixel and a bit value of 1 represents a white pixel. When the source and the destination bitmaps are color, those colors are represented with red green blue (RGB) values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLACKNESS`
    `D`
    `DPA`
    `DPAN`
    `DPNA`
    `DPNO`
    `DPO`
    `DPON`
    `DPSAA`
    `DPSAAN`
    `DPSANA`
    `DPSANAN`
    `DPSANO`
    `DPSAO`
    `DPSAON`
    `DPSAX`
    `DPSAXN`
    `DPSDANAX`
    `DPSDAOX`
    `DPSDAOXN`
    `DPSDNAOX`
    `DPSDNOAX`
    `DPSDOAX`
    `DPSDOAXN`
    `DPSDONOX`
    `DPSDPAOXX`
    `DPSDPOAXX`
    `DPSDXAX`
    `DPSDXOX`
    `DPSDXOXN`
    `DPSNAA`
    `DPSNAO`
    `DPSNAON`
    `DPSNAX`
    `DPSNOA`
    `DPSNOAN`
    `DPSNOX`
    `DPSOA`
    `DPSOAN`
    `DPSONA`
    `DPSONO`
    `DPSONON`
    `DPSOO`
    `DPSOON`
    `DPSOX`
    `DPSOXN`
    `DPSXA`
    `DPSXAN`
    `DPSXNA`
    `DPSXNAN`
    `DPSXNO`
    `DPSXNON`
    `DPSXO`
    `DPSXON`
    `DPSXX`
    `DSAN`
    `DSNA`
    `DSPDAOX`
    `DSPDAOXN`
    `DSPDOAX`
    `DSPDOAXN`
    `DSPDSANAXXN`
    `DSPDSAOXX`
    `DSPDSAOXXN`
    `DSPDSOAXX`
    `DSPDSOAXXN`
    `DSPDSONOXXN`
    `DSPDXAX`
    `DSPDXAXN`
    `DSPDXOX`
    `DSPDXOXN`
    `DSPNAO`
    `DSPNAON`
    `DSPNAX`
    `DSPNOA`
    `DSPNOAN`
    `DSPNOX`
    `DSTINVERT`
    `DSXN`
    `MERGECOPY`
    `MERGEPAINT`
    `NOTSRCCOPY`
    `NOTSRCERASE`
    `PATCOPY`
    `PATINVERT`
    `PATPAINT`
    `PDNA`
    `PDNO`
    `PDSANA`
    `PDSANAN`
    `PDSANO`
    `PDSAO`
    `PDSAON`
    `PDSAX`
    `PDSAXN`
    `PDSNAO`
    `PDSNAON`
    `PDSNAX`
    `PDSNOA`
    `PDSNOAN`
    `PDSNOX`
    `PDSOA`
    `PDSOAN`
    `PDSONA`
    `PDSONO`
    `PDSONON`
    `PDSOX`
    `PDSOXN`
    `PDSPANAXN`
    `PDSPAOX`
    `PDSPAOXN`
    `PDSPDAOXXN`
    `PDSPDOAXXN`
    `PDSPNAOXN`
    `PDSPNOAXN`
    `PDSPOAX`
    `PDSPOAXN`
    `PDSPONOXN`
    `PDSPXAX`
    `PDSPXOX`
    `PDSPXOXN`
    `PDSXA`
    `PDSXAN`
    `PDSXNA`
    `PDSXNO`
    `PDSXNON`
    `PDSXO`
    `PDSXON`
    `PDSXXN`
    `PDXN`
    `PN`
    `PSAN`
    `PSDNAA`
    `PSDNAO`
    `PSDNAON`
    `PSDNAX`
    `PSDNOA`
    `PSDNOAN`
    `PSDNOO`
    `PSDNOX`
    `PSDPAOX`
    `PSDPAOXN`
    `PSDPOAX`
    `PSDPOAXN`
    `PSDPSANAXX`
    `PSDPSAOXX`
    `PSDPSAOXXN`
    `PSDPSOAXX`
    `PSDPSOAXXN`
    `PSDPSONOXX`
    `PSDPXAX`
    `PSDPXAXN`
    `PSDPXOX`
    `PSDPXOXN`
    `PSNA`
    `PSNO`
    `PSO`
    `PSON`
    `PSX`
    `PSXN`
    `SDNO`
    `SDPANA`
    `SDPANAN`
    `SDPANO`
    `SDPAO`
    `SDPAON`
    `SDPAX`
    `SDPNAA`
    `SDPNAO`
    `SDPNAON`
    `SDPNAX`
    `SDPNOA`
    `SDPNOAN`
    `SDPNOO`
    `SDPNOX`
    `SDPOA`
    `SDPOAN`
    `SDPONA`
    `SDPONO`
    `SDPOX`
    `SDPSANAX`
    `SDPSANAXN`
    `SDPSAOX`
    `SDPSAOXN`
    `SDPSNAOX`
    `SDPSNAOXN`
    `SDPSNOAX`
    `SDPSNOAXN`
    `SDPSOAX`
    `SDPSOAXN`
    `SDPSONOX`
    `SDPSONOXN`
    `SDPSOOX`
    `SDPSXAX`
    `SDPSXAXN`
    `SDPSXNOX`
    `SDPSXOX`
    `SDPSXOXN`
    `SDPXA`
    `SDPXAN`
    `SDPXNA`
    `SDPXNAN`
    `SDPXNO`
    `SDPXNON`
    `SDPXO`
    `SDPXON`
    `SDXPDXA`
    `SDXPDXAN`
    `SPDAXN`
    `SPDNAO`
    `SPDNAON`
    `SPDNAX`
    `SPDNOA`
    `SPDNOAN`
    `SPDNOX`
    `SPDOXN`
    `SPDSANAX`
    `SPDSANAXN`
    `SPDSAOX`
    `SPDSAOXN`
    `SPDSNAOX`
    `SPDSNAOXN`
    `SPDSNOAX`
    `SPDSNOAXN`
    `SPDSOAX`
    `SPDSOAXN`
    `SPDSONOX`
    `SPDSONOXN`
    `SPDSXAX`
    `SPDSXAXN`
    `SPDSXNOX`
    `SPDSXOX`
    `SPDSXOXN`
    `SPNA`
    `SPNO`
    `SPXDSXA`
    `SPXDSXAN`
    `SPXDSXO`
    `SPXDSXON`
    `SPXPDXA`
    `SPXPDXAN`
    `SRCAND`
    `SRCCOPY`
    `SRCERASE`
    `SRCINVERT`
    `SRCPAINT`
    `SSDXPDXAX`
    `SSDXPDXAXN`
    `SSPXDSXAX`
    `SSPXDSXAXN`
    `SSPXDSXOX`
    `SSPXDSXOXN`
    `SSPXPDXAX`
    `SSPXPDXAXN`
    `WHITENESS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `describeCmd()`
    `static HwmfTernaryRasterOp` | `valueOf(int opIndex)`
    `static HwmfTernaryRasterOp` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfTernaryRasterOp[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLACKNESS

          public static final HwmfTernaryRasterOp BLACKNESS

    - #### DPSOON

          public static final HwmfTernaryRasterOp DPSOON

    - #### DPSONA

          public static final HwmfTernaryRasterOp DPSONA

    - #### PSON

          public static final HwmfTernaryRasterOp PSON

    - #### SDPONA

          public static final HwmfTernaryRasterOp SDPONA

    - #### DPON

          public static final HwmfTernaryRasterOp DPON

    - #### PDSXNON

          public static final HwmfTernaryRasterOp PDSXNON

    - #### PDSAON

          public static final HwmfTernaryRasterOp PDSAON

    - #### SDPNAA

          public static final HwmfTernaryRasterOp SDPNAA

    - #### PDSXON

          public static final HwmfTernaryRasterOp PDSXON

    - #### DPNA

          public static final HwmfTernaryRasterOp DPNA

    - #### PSDNAON

          public static final HwmfTernaryRasterOp PSDNAON

    - #### SPNA

          public static final HwmfTernaryRasterOp SPNA

    - #### PDSNAON

          public static final HwmfTernaryRasterOp PDSNAON

    - #### PDSONON

          public static final HwmfTernaryRasterOp PDSONON

    - #### PN

          public static final HwmfTernaryRasterOp PN

    - #### PDSONA

          public static final HwmfTernaryRasterOp PDSONA

    - #### NOTSRCERASE

          public static final HwmfTernaryRasterOp NOTSRCERASE

    - #### SDPXNON

          public static final HwmfTernaryRasterOp SDPXNON

    - #### SDPAON

          public static final HwmfTernaryRasterOp SDPAON

    - #### DPSXNON

          public static final HwmfTernaryRasterOp DPSXNON

    - #### DPSAON

          public static final HwmfTernaryRasterOp DPSAON

    - #### PSDPSANAXX

          public static final HwmfTernaryRasterOp PSDPSANAXX

    - #### SSPXDSXAXN

          public static final HwmfTernaryRasterOp SSPXDSXAXN

    - #### SPXPDXA

          public static final HwmfTernaryRasterOp SPXPDXA

    - #### SDPSANAXN

          public static final HwmfTernaryRasterOp SDPSANAXN

    - #### PDSPAOX

          public static final HwmfTernaryRasterOp PDSPAOX

    - #### SDPSXAXN

          public static final HwmfTernaryRasterOp SDPSXAXN

    - #### PSDPAOX

          public static final HwmfTernaryRasterOp PSDPAOX

    - #### DSPDXAXN

          public static final HwmfTernaryRasterOp DSPDXAXN

    - #### PDSOX

          public static final HwmfTernaryRasterOp PDSOX

    - #### PDSOAN

          public static final HwmfTernaryRasterOp PDSOAN

    - #### DPSNAA

          public static final HwmfTernaryRasterOp DPSNAA

    - #### SDPXON

          public static final HwmfTernaryRasterOp SDPXON

    - #### DSNA

          public static final HwmfTernaryRasterOp DSNA

    - #### SPDNAON

          public static final HwmfTernaryRasterOp SPDNAON

    - #### SPXDSXA

          public static final HwmfTernaryRasterOp SPXDSXA

    - #### PDSPANAXN

          public static final HwmfTernaryRasterOp PDSPANAXN

    - #### SDPSAOX

          public static final HwmfTernaryRasterOp SDPSAOX

    - #### SDPSXNOX

          public static final HwmfTernaryRasterOp SDPSXNOX

    - #### DPSXA

          public static final HwmfTernaryRasterOp DPSXA

    - #### PSDPSAOXXN

          public static final HwmfTernaryRasterOp PSDPSAOXXN

    - #### DPSANA

          public static final HwmfTernaryRasterOp DPSANA

    - #### SSPXPDXAXN

          public static final HwmfTernaryRasterOp SSPXPDXAXN

    - #### SPDSOAX

          public static final HwmfTernaryRasterOp SPDSOAX

    - #### PSDNOX

          public static final HwmfTernaryRasterOp PSDNOX

    - #### PSDPXOX

          public static final HwmfTernaryRasterOp PSDPXOX

    - #### PSDNOAN

          public static final HwmfTernaryRasterOp PSDNOAN

    - #### PSNA

          public static final HwmfTernaryRasterOp PSNA

    - #### SDPNAON

          public static final HwmfTernaryRasterOp SDPNAON

    - #### SDPSOOX

          public static final HwmfTernaryRasterOp SDPSOOX

    - #### NOTSRCCOPY

          public static final HwmfTernaryRasterOp NOTSRCCOPY

    - #### SPDSAOX

          public static final HwmfTernaryRasterOp SPDSAOX

    - #### SPDSXNOX

          public static final HwmfTernaryRasterOp SPDSXNOX

    - #### SDPOX

          public static final HwmfTernaryRasterOp SDPOX

    - #### SDPOAN

          public static final HwmfTernaryRasterOp SDPOAN

    - #### PSDPOAX

          public static final HwmfTernaryRasterOp PSDPOAX

    - #### SPDNOX

          public static final HwmfTernaryRasterOp SPDNOX

    - #### SPDSXOX

          public static final HwmfTernaryRasterOp SPDSXOX

    - #### SPDNOAN

          public static final HwmfTernaryRasterOp SPDNOAN

    - #### PSX

          public static final HwmfTernaryRasterOp PSX

    - #### SPDSONOX

          public static final HwmfTernaryRasterOp SPDSONOX

    - #### SPDSNAOX

          public static final HwmfTernaryRasterOp SPDSNAOX

    - #### PSAN

          public static final HwmfTernaryRasterOp PSAN

    - #### PSDNAA

          public static final HwmfTernaryRasterOp PSDNAA

    - #### DPSXON

          public static final HwmfTernaryRasterOp DPSXON

    - #### SDXPDXA

          public static final HwmfTernaryRasterOp SDXPDXA

    - #### SPDSANAXN

          public static final HwmfTernaryRasterOp SPDSANAXN

    - #### SRCERASE

          public static final HwmfTernaryRasterOp SRCERASE

    - #### DPSNAON

          public static final HwmfTernaryRasterOp DPSNAON

    - #### DSPDAOX

          public static final HwmfTernaryRasterOp DSPDAOX

    - #### PSDPXAXN

          public static final HwmfTernaryRasterOp PSDPXAXN

    - #### SDPXA

          public static final HwmfTernaryRasterOp SDPXA

    - #### PDSPDAOXXN

          public static final HwmfTernaryRasterOp PDSPDAOXXN

    - #### DPSDOAX

          public static final HwmfTernaryRasterOp DPSDOAX

    - #### PDSNOX

          public static final HwmfTernaryRasterOp PDSNOX

    - #### SDPANA

          public static final HwmfTernaryRasterOp SDPANA

    - #### SSPXDSXOXN

          public static final HwmfTernaryRasterOp SSPXDSXOXN

    - #### PDSPXOX

          public static final HwmfTernaryRasterOp PDSPXOX

    - #### PDSNOAN

          public static final HwmfTernaryRasterOp PDSNOAN

    - #### PDNA

          public static final HwmfTernaryRasterOp PDNA

    - #### DSPNAON

          public static final HwmfTernaryRasterOp DSPNAON

    - #### DPSDAOX

          public static final HwmfTernaryRasterOp DPSDAOX

    - #### SPDSXAXN

          public static final HwmfTernaryRasterOp SPDSXAXN

    - #### DPSONON

          public static final HwmfTernaryRasterOp DPSONON

    - #### DSTINVERT

          public static final HwmfTernaryRasterOp DSTINVERT

    - #### DPSOX

          public static final HwmfTernaryRasterOp DPSOX

    - #### DPSOAN

          public static final HwmfTernaryRasterOp DPSOAN

    - #### PDSPOAX

          public static final HwmfTernaryRasterOp PDSPOAX

    - #### DPSNOX

          public static final HwmfTernaryRasterOp DPSNOX

    - #### PATINVERT

          public static final HwmfTernaryRasterOp PATINVERT

    - #### DPSDONOX

          public static final HwmfTernaryRasterOp DPSDONOX

    - #### DPSDXOX

          public static final HwmfTernaryRasterOp DPSDXOX

    - #### DPSNOAN

          public static final HwmfTernaryRasterOp DPSNOAN

    - #### DPSDNAOX

          public static final HwmfTernaryRasterOp DPSDNAOX

    - #### DPAN

          public static final HwmfTernaryRasterOp DPAN

    - #### PDSXA

          public static final HwmfTernaryRasterOp PDSXA

    - #### DSPDSAOXXN

          public static final HwmfTernaryRasterOp DSPDSAOXXN

    - #### DSPDOAX

          public static final HwmfTernaryRasterOp DSPDOAX

    - #### SDPNOX

          public static final HwmfTernaryRasterOp SDPNOX

    - #### SDPSOAX

          public static final HwmfTernaryRasterOp SDPSOAX

    - #### DSPNOX

          public static final HwmfTernaryRasterOp DSPNOX

    - #### SRCINVERT

          public static final HwmfTernaryRasterOp SRCINVERT

    - #### SDPSONOX

          public static final HwmfTernaryRasterOp SDPSONOX

    - #### DSPDSONOXXN

          public static final HwmfTernaryRasterOp DSPDSONOXXN

    - #### PDSXXN

          public static final HwmfTernaryRasterOp PDSXXN

    - #### DPSAX

          public static final HwmfTernaryRasterOp DPSAX

    - #### PSDPSOAXXN

          public static final HwmfTernaryRasterOp PSDPSOAXXN

    - #### SDPAX

          public static final HwmfTernaryRasterOp SDPAX

    - #### PDSPDOAXXN

          public static final HwmfTernaryRasterOp PDSPDOAXXN

    - #### SDPSNOAX

          public static final HwmfTernaryRasterOp SDPSNOAX

    - #### PDSANA

          public static final HwmfTernaryRasterOp PDSANA

    - #### SSDXPDXAXN

          public static final HwmfTernaryRasterOp SSDXPDXAXN

    - #### SDPSXOX

          public static final HwmfTernaryRasterOp SDPSXOX

    - #### SDPNOAN

          public static final HwmfTernaryRasterOp SDPNOAN

    - #### DSPDXOX

          public static final HwmfTernaryRasterOp DSPDXOX

    - #### DSPNOAN

          public static final HwmfTernaryRasterOp DSPNOAN

    - #### SDPSNAOX

          public static final HwmfTernaryRasterOp SDPSNAOX

    - #### DSAN

          public static final HwmfTernaryRasterOp DSAN

    - #### PDSAX

          public static final HwmfTernaryRasterOp PDSAX

    - #### DSPDSOAXXN

          public static final HwmfTernaryRasterOp DSPDSOAXXN

    - #### DPSDNOAX

          public static final HwmfTernaryRasterOp DPSDNOAX

    - #### SDPXNAN

          public static final HwmfTernaryRasterOp SDPXNAN

    - #### SPDSNOAX

          public static final HwmfTernaryRasterOp SPDSNOAX

    - #### DPSXNAN

          public static final HwmfTernaryRasterOp DPSXNAN

    - #### SPXDSXO

          public static final HwmfTernaryRasterOp SPXDSXO

    - #### DPSAAN

          public static final HwmfTernaryRasterOp DPSAAN

    - #### DPSAA

          public static final HwmfTernaryRasterOp DPSAA

    - #### SPXDSXON

          public static final HwmfTernaryRasterOp SPXDSXON

    - #### DPSXNA

          public static final HwmfTernaryRasterOp DPSXNA

    - #### SPDSNOAXN

          public static final HwmfTernaryRasterOp SPDSNOAXN

    - #### SDPXNA

          public static final HwmfTernaryRasterOp SDPXNA

    - #### PDSPNOAXN

          public static final HwmfTernaryRasterOp PDSPNOAXN

    - #### DSPDSOAXX

          public static final HwmfTernaryRasterOp DSPDSOAXX

    - #### PDSAXN

          public static final HwmfTernaryRasterOp PDSAXN

    - #### SRCAND

          public static final HwmfTernaryRasterOp SRCAND

    - #### SDPSNAOXN

          public static final HwmfTernaryRasterOp SDPSNAOXN

    - #### DSPNOA

          public static final HwmfTernaryRasterOp DSPNOA

    - #### DSPDXOXN

          public static final HwmfTernaryRasterOp DSPDXOXN

    - #### SDPNOA

          public static final HwmfTernaryRasterOp SDPNOA

    - #### SDPSXOXN

          public static final HwmfTernaryRasterOp SDPSXOXN

    - #### SSDXPDXAX

          public static final HwmfTernaryRasterOp SSDXPDXAX

    - #### PDSANAN

          public static final HwmfTernaryRasterOp PDSANAN

    - #### PDSXNA

          public static final HwmfTernaryRasterOp PDSXNA

    - #### SDPSNOAXN

          public static final HwmfTernaryRasterOp SDPSNOAXN

    - #### DPSDPOAXX

          public static final HwmfTernaryRasterOp DPSDPOAXX

    - #### SPDAXN

          public static final HwmfTernaryRasterOp SPDAXN

    - #### PSDPSOAXX

          public static final HwmfTernaryRasterOp PSDPSOAXX

    - #### DPSAXN

          public static final HwmfTernaryRasterOp DPSAXN

    - #### DPSXX

          public static final HwmfTernaryRasterOp DPSXX

    - #### PSDPSONOXX

          public static final HwmfTernaryRasterOp PSDPSONOXX

    - #### SDPSONOXN

          public static final HwmfTernaryRasterOp SDPSONOXN

    - #### DSXN

          public static final HwmfTernaryRasterOp DSXN

    - #### DPSNAX

          public static final HwmfTernaryRasterOp DPSNAX

    - #### SDPSOAXN

          public static final HwmfTernaryRasterOp SDPSOAXN

    - #### SPDNAX

          public static final HwmfTernaryRasterOp SPDNAX

    - #### DSPDOAXN

          public static final HwmfTernaryRasterOp DSPDOAXN

    - #### DSPDSAOXX

          public static final HwmfTernaryRasterOp DSPDSAOXX

    - #### PDSXAN

          public static final HwmfTernaryRasterOp PDSXAN

    - #### DPA

          public static final HwmfTernaryRasterOp DPA

    - #### PDSPNAOXN

          public static final HwmfTernaryRasterOp PDSPNAOXN

    - #### DPSNOA

          public static final HwmfTernaryRasterOp DPSNOA

    - #### DPSDXOXN

          public static final HwmfTernaryRasterOp DPSDXOXN

    - #### PDSPONOXN

          public static final HwmfTernaryRasterOp PDSPONOXN

    - #### PDXN

          public static final HwmfTernaryRasterOp PDXN

    - #### DSPNAX

          public static final HwmfTernaryRasterOp DSPNAX

    - #### PDSPOAXN

          public static final HwmfTernaryRasterOp PDSPOAXN

    - #### DPSOA

          public static final HwmfTernaryRasterOp DPSOA

    - #### DPSOXN

          public static final HwmfTernaryRasterOp DPSOXN

    - #### D

          public static final HwmfTernaryRasterOp D

    - #### DPSONO

          public static final HwmfTernaryRasterOp DPSONO

    - #### SPDSXAX

          public static final HwmfTernaryRasterOp SPDSXAX

    - #### DPSDAOXN

          public static final HwmfTernaryRasterOp DPSDAOXN

    - #### DSPNAO

          public static final HwmfTernaryRasterOp DSPNAO

    - #### DPNO

          public static final HwmfTernaryRasterOp DPNO

    - #### PDSNOA

          public static final HwmfTernaryRasterOp PDSNOA

    - #### PDSPXOXN

          public static final HwmfTernaryRasterOp PDSPXOXN

    - #### SSPXDSXOX

          public static final HwmfTernaryRasterOp SSPXDSXOX

    - #### SDPANAN

          public static final HwmfTernaryRasterOp SDPANAN

    - #### PSDNAX

          public static final HwmfTernaryRasterOp PSDNAX

    - #### DPSDOAXN

          public static final HwmfTernaryRasterOp DPSDOAXN

    - #### DPSDPAOXX

          public static final HwmfTernaryRasterOp DPSDPAOXX

    - #### SDPXAN

          public static final HwmfTernaryRasterOp SDPXAN

    - #### PSDPXAX

          public static final HwmfTernaryRasterOp PSDPXAX

    - #### DSPDAOXN

          public static final HwmfTernaryRasterOp DSPDAOXN

    - #### DPSNAO

          public static final HwmfTernaryRasterOp DPSNAO

    - #### MERGEPAINT

          public static final HwmfTernaryRasterOp MERGEPAINT

    - #### SPDSANAX

          public static final HwmfTernaryRasterOp SPDSANAX

    - #### SDXPDXAN

          public static final HwmfTernaryRasterOp SDXPDXAN

    - #### DPSXO

          public static final HwmfTernaryRasterOp DPSXO

    - #### DPSANO

          public static final HwmfTernaryRasterOp DPSANO

    - #### MERGECOPY

          public static final HwmfTernaryRasterOp MERGECOPY

    - #### SPDSNAOXN

          public static final HwmfTernaryRasterOp SPDSNAOXN

    - #### SPDSONOXN

          public static final HwmfTernaryRasterOp SPDSONOXN

    - #### PSXN

          public static final HwmfTernaryRasterOp PSXN

    - #### SPDNOA

          public static final HwmfTernaryRasterOp SPDNOA

    - #### SPDSXOXN

          public static final HwmfTernaryRasterOp SPDSXOXN

    - #### SDPNAX

          public static final HwmfTernaryRasterOp SDPNAX

    - #### PSDPOAXN

          public static final HwmfTernaryRasterOp PSDPOAXN

    - #### SDPOA

          public static final HwmfTernaryRasterOp SDPOA

    - #### SPDOXN

          public static final HwmfTernaryRasterOp SPDOXN

    - #### DPSDXAX

          public static final HwmfTernaryRasterOp DPSDXAX

    - #### SPDSAOXN

          public static final HwmfTernaryRasterOp SPDSAOXN

    - #### SRCCOPY

          public static final HwmfTernaryRasterOp SRCCOPY

    - #### SDPONO

          public static final HwmfTernaryRasterOp SDPONO

    - #### SDPNAO

          public static final HwmfTernaryRasterOp SDPNAO

    - #### SPNO

          public static final HwmfTernaryRasterOp SPNO

    - #### PSDNOA

          public static final HwmfTernaryRasterOp PSDNOA

    - #### PSDPXOXN

          public static final HwmfTernaryRasterOp PSDPXOXN

    - #### PDSNAX

          public static final HwmfTernaryRasterOp PDSNAX

    - #### SPDSOAXN

          public static final HwmfTernaryRasterOp SPDSOAXN

    - #### SSPXPDXAX

          public static final HwmfTernaryRasterOp SSPXPDXAX

    - #### DPSANAN

          public static final HwmfTernaryRasterOp DPSANAN

    - #### PSDPSAOXX

          public static final HwmfTernaryRasterOp PSDPSAOXX

    - #### DPSXAN

          public static final HwmfTernaryRasterOp DPSXAN

    - #### PDSPXAX

          public static final HwmfTernaryRasterOp PDSPXAX

    - #### SDPSAOXN

          public static final HwmfTernaryRasterOp SDPSAOXN

    - #### DPSDANAX

          public static final HwmfTernaryRasterOp DPSDANAX

    - #### SPXDSXAN

          public static final HwmfTernaryRasterOp SPXDSXAN

    - #### SPDNAO

          public static final HwmfTernaryRasterOp SPDNAO

    - #### SDNO

          public static final HwmfTernaryRasterOp SDNO

    - #### SDPXO

          public static final HwmfTernaryRasterOp SDPXO

    - #### SDPANO

          public static final HwmfTernaryRasterOp SDPANO

    - #### PDSOA

          public static final HwmfTernaryRasterOp PDSOA

    - #### PDSOXN

          public static final HwmfTernaryRasterOp PDSOXN

    - #### DSPDXAX

          public static final HwmfTernaryRasterOp DSPDXAX

    - #### PSDPAOXN

          public static final HwmfTernaryRasterOp PSDPAOXN

    - #### SDPSXAX

          public static final HwmfTernaryRasterOp SDPSXAX

    - #### PDSPAOXN

          public static final HwmfTernaryRasterOp PDSPAOXN

    - #### SDPSANAX

          public static final HwmfTernaryRasterOp SDPSANAX

    - #### SPXPDXAN

          public static final HwmfTernaryRasterOp SPXPDXAN

    - #### SSPXDSXAX

          public static final HwmfTernaryRasterOp SSPXDSXAX

    - #### DSPDSANAXXN

          public static final HwmfTernaryRasterOp DSPDSANAXXN

    - #### DPSAO

          public static final HwmfTernaryRasterOp DPSAO

    - #### DPSXNO

          public static final HwmfTernaryRasterOp DPSXNO

    - #### SDPAO

          public static final HwmfTernaryRasterOp SDPAO

    - #### SDPXNO

          public static final HwmfTernaryRasterOp SDPXNO

    - #### SRCPAINT

          public static final HwmfTernaryRasterOp SRCPAINT

    - #### SDPNOO

          public static final HwmfTernaryRasterOp SDPNOO

    - #### PATCOPY

          public static final HwmfTernaryRasterOp PATCOPY

    - #### PDSONO

          public static final HwmfTernaryRasterOp PDSONO

    - #### PDSNAO

          public static final HwmfTernaryRasterOp PDSNAO

    - #### PSNO

          public static final HwmfTernaryRasterOp PSNO

    - #### PSDNAO

          public static final HwmfTernaryRasterOp PSDNAO

    - #### PDNO

          public static final HwmfTernaryRasterOp PDNO

    - #### PDSXO

          public static final HwmfTernaryRasterOp PDSXO

    - #### PDSANO

          public static final HwmfTernaryRasterOp PDSANO

    - #### PDSAO

          public static final HwmfTernaryRasterOp PDSAO

    - #### PDSXNO

          public static final HwmfTernaryRasterOp PDSXNO

    - #### DPO

          public static final HwmfTernaryRasterOp DPO

    - #### PATPAINT

          public static final HwmfTernaryRasterOp PATPAINT

    - #### PSO

          public static final HwmfTernaryRasterOp PSO

    - #### PSDNOO

          public static final HwmfTernaryRasterOp PSDNOO

    - #### DPSOO

          public static final HwmfTernaryRasterOp DPSOO

    - #### WHITENESS

          public static final HwmfTernaryRasterOp WHITENESS

  - ### Method Detail

    - #### values

          public static HwmfTernaryRasterOp[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfTernaryRasterOp c : HwmfTernaryRasterOp.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfTernaryRasterOp valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HwmfTernaryRasterOp valueOf(int opIndex)

    - #### describeCmd

          public java.lang.String describeCmd()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.